# Default values for the chart
label: spark-history
replicaCount: 1
nameOverride: spark-history
serviceAccount: spark-history-service

image:
  # auto deploy will replace this
  repository: datamechanics/spark
  tag: 3.1-latest
  # use override to manually set the container image
  override: datamechanics/spark:3.1-latest
  command:
    - bash
    - -c
    - /opt/spark/bin/spark-class org.apache.spark.deploy.history.HistoryServer
  securityContext:
    runAsUser: 0
    runAsGroup: 0
  pullPolicy: IfNotPresent
  secrets:
    - name: gitlab-registry

service:
  port:
    number: 18080
  annotations: {}

ingress:
  tls:
    enabled: true
  annotations:
    kubernetes.io/tls-acme: "true"
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/proxy-body-size: 500m
    nginx.ingress.kubernetes.io/proxy-connect-timeout: "300"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "300"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "300"    

# auto-deploy will set these
application:
  secretName:
  secretChecksum:
gitlab:
  app:
  env:
  envName:
  envURL: http://spark-history.lincsproject.ca # default value so that the lint test passes
